curl -X GET 'https://crypto-api.yativo.com/api/swap/history?limit=20&offset=0&status=completed' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Swap history retrieved successfully",
"data": {
"swaps": [
{
"swap_id": "swp_01HX9KZMB3F7VNQP8R2WDGT4EH",
"from_chain": "solana",
"from_ticker": "USDC_SOL",
"to_chain": "ethereum",
"to_ticker": "USDC_ETH",
"from_amount": "500.00",
"to_amount": "497.25",
"status": "completed",
"created_at": "2026-03-26T12:00:00Z",
"completed_at": "2026-03-26T12:01:05Z"
}
],
"total": 1,
"limit": 20,
"offset": 0
}
}
Retrieve the history of swap transactions
curl -X GET 'https://crypto-api.yativo.com/api/swap/history?limit=20&offset=0&status=completed' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Swap history retrieved successfully",
"data": {
"swaps": [
{
"swap_id": "swp_01HX9KZMB3F7VNQP8R2WDGT4EH",
"from_chain": "solana",
"from_ticker": "USDC_SOL",
"to_chain": "ethereum",
"to_ticker": "USDC_ETH",
"from_amount": "500.00",
"to_amount": "497.25",
"status": "completed",
"created_at": "2026-03-26T12:00:00Z",
"completed_at": "2026-03-26T12:01:05Z"
}
],
"total": 1,
"limit": 20,
"offset": 0
}
}
Bearer YOUR_ACCESS_TOKEN20.0.pending, completed, failed.curl -X GET 'https://crypto-api.yativo.com/api/swap/history?limit=20&offset=0&status=completed' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Swap history retrieved successfully",
"data": {
"swaps": [
{
"swap_id": "swp_01HX9KZMB3F7VNQP8R2WDGT4EH",
"from_chain": "solana",
"from_ticker": "USDC_SOL",
"to_chain": "ethereum",
"to_ticker": "USDC_ETH",
"from_amount": "500.00",
"to_amount": "497.25",
"status": "completed",
"created_at": "2026-03-26T12:00:00Z",
"completed_at": "2026-03-26T12:01:05Z"
}
],
"total": 1,
"limit": 20,
"offset": 0
}
}